Get All Topics of a Subscriber

This API is used to get all topics of a subscriber.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

The Get All Topics of a Subscriber request is specified as follows:

URLhttps://api.imiconnect.io/rtmsAPI/api/v1/apps/$(appid)/users/$(userid)/topics?start=0&subscribed=true/false/both

Example: In the URL http://api.imiconnect.io/rtmsAPI/api/v1/apps/BB20183142/user/2315/topics?start=0&subscribed=true/false/both

appid = BB20183142 and userid = 2315. start is the record pointer which defines where to start in the list. A maximum of 50 records can be returned (if available).
subscribed takes input of true, false, or both. True returns all subscribed topics. False returns unsubscribed topics. Both returns all the topics.
MethodGET

Request Headers

The following table describes the request headers:

Request HeaderDescription
secretKeySecret key generated in backend application.
content-typeapplication/json

Response Example

{
	"total" : 1,
	"count" : 1,
	"topics" : 
  [
    {
			"id" : "591d7b7de4b09e0d95d4f73d",
			"ref" : "offer ref",
			"created_on" : "2017-05-26T18 12:22:51.001Z",
			"description" : "Get Lot of Benifits from this topic",
			"name" : "offers",
			"topic_group" : "Extra Benifits",
      "subscribed" : true
		}
	],
	"trans_id" : "2b1142c3-b99e-4af4-befa-77b5451ad2af",
	"description" : "success",
	"code" : 0
}
Headers
string
required

Generated in the backend

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
Copyright © 2000 - 2021 IMImobile Limited | All Rights Reserved